GxtReconciliationServiceConverter (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.server.service

## Class GxtReconciliationServiceConverter

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.server.service.GxtReconciliationServiceConverter

-     public class GxtReconciliationServiceConverter
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GxtReconciliationServiceConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComputationModel` | `convertComputation(org.gcube.data.harmonization.occurrence.impl.model.Computation computation)`
    `static ElaborationType` | `convertFromOperationType(org.gcube.data.harmonization.occurrence.impl.model.types.OperationType opType)`
    `static ResourceType` | `convertFromResourceType(org.gcube.data.harmonization.occurrence.impl.model.types.ResourceType type)`
    `static ElaborationStatus` | `convertStatus(org.gcube.data.harmonization.occurrence.impl.model.types.Status status)`
    `static Float` | `convertStringToFloat(String stringFloat)`
    `static org.gcube.data.harmonization.occurrence.impl.model.types.OperationType` | `convertToOperationType(ElaborationType elabType)`
    `static JobOccurrencesModel` | `createOccurrenceModelFromResource(org.gcube.data.harmonization.occurrence.impl.model.Resource imp, ElaborationStatus elaborationStatus)`
    `static JobOccurrencesModel` | `createOccurrenceModelFromSubmittedOperation(org.gcube.data.harmonization.occurrence.impl.model.Computation submittedOperation, ElaborationStatus elaborationStatus)`
    `static ArrayList<JobOccurrencesModel>` | `getImportRequestOccurrencesJob(List<org.gcube.data.harmonization.occurrence.impl.model.Resource> availableData, boolean onlyNotCompleted)`
    `static ArrayList<JobOccurrencesModel>` | `getSubmittedOperationOccurrencesJob(List<org.gcube.data.harmonization.occurrence.impl.model.Computation> submittedOperationList, boolean onlyNotCompleted)`
    `static Date` | `toDate(Calendar calendar)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### GxtReconciliationServiceConverter

          public GxtReconciliationServiceConverter()

  - ### Method Detail

    - #### toDate

          public static Date toDate(Calendar calendar)

    - #### getImportRequestOccurrencesJob

          public static ArrayList<JobOccurrencesModel> getImportRequestOccurrencesJob(List<org.gcube.data.harmonization.occurrence.impl.model.Resource> availableData,
                                                                      boolean onlyNotCompleted)

    - #### getSubmittedOperationOccurrencesJob

          public static ArrayList<JobOccurrencesModel> getSubmittedOperationOccurrencesJob(List<org.gcube.data.harmonization.occurrence.impl.model.Computation> submittedOperationList,
                                                                           boolean onlyNotCompleted)

    - #### convertFromOperationType

          public static ElaborationType convertFromOperationType(org.gcube.data.harmonization.occurrence.impl.model.types.OperationType opType)

    - #### convertToOperationType

          public static org.gcube.data.harmonization.occurrence.impl.model.types.OperationType convertToOperationType(ElaborationType elabType)

    - #### createOccurrenceModelFromResource

          public static JobOccurrencesModel createOccurrenceModelFromResource(org.gcube.data.harmonization.occurrence.impl.model.Resource imp,
                                                              ElaborationStatus elaborationStatus)

    - #### convertFromResourceType

          public static ResourceType convertFromResourceType(org.gcube.data.harmonization.occurrence.impl.model.types.ResourceType type)

    - #### createOccurrenceModelFromSubmittedOperation

          public static JobOccurrencesModel createOccurrenceModelFromSubmittedOperation(org.gcube.data.harmonization.occurrence.impl.model.Computation submittedOperation,
                                                                        ElaborationStatus elaborationStatus)

    - #### convertStringToFloat

          public static Float convertStringToFloat(String stringFloat)

    - #### convertComputation

          public static ComputationModel convertComputation(org.gcube.data.harmonization.occurrence.impl.model.Computation computation)

    - #### convertStatus

          public static ElaborationStatus convertStatus(org.gcube.data.harmonization.occurrence.impl.model.types.Status status)

Copyright © 2014. All Rights Reserved.